Subject: Re: [PATCH v2] sha256: add support for Nettle

From: Junio C Hamano <[email-masked]>
Date: Sun, 10 Jul 2022 09:39:18 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> This just carries forward existing technical debt, but it's unfortunate
> that we don't catch OPENSSL_SHA256 overridding NETTLE_SHA256, and error
> if both are defined.

You are mistaken, unless I am ;-)  

Allowing users to list whatever is available, instead of requiring
all users to choose only one, is a deliberate feature in the
arrangement, so it is not unfortunate and it would be breaking
end-user expectation if we gave an error when more than one is
given (and it would be easier to write and maintain autoconf rules
for the feature---we do not want to have two places that makes
decisions on precedence).